#!/usr/bin/python
# -* coding: iso-8859-1 -*-
"""
**********************************************************************
File Name:             Test_MODEM.py
Dev:                   Daniele De Santis
Email:                 desantis@areasx.com
Web:                   http://www.areasx.com

Versione:              0.0
Data:                  19/02/15
Note Hardware:  
Note Software: 
**********************************************************************
"""
import time
import sys
import serial
import RPi.GPIO as GPIO


def SendCmd(at_cmd):
  print "TX-->\t%s" % at_cmd
  ser.write(at_cmd + "\r")
  time.sleep(0.5)
  rxchr=ser.inWaiting()
  if(rxchr>0):
    rxbuff=ser.read(rxchr)
    print "RX:<--\t%s" % rxbuff
    return rxbuff
  return ""
  
print "Test MODEM Telit HE910"

GPIO.setmode(GPIO.BOARD) 
GPIO.setup(23, GPIO.OUT, initial=GPIO.LOW)            #Linea (OUTPUT) Reset Modem
GPIO.setup(15, GPIO.OUT, initial=GPIO.LOW)            #Linea (OUTPUT) Power Modem
GPIO.setup(12, GPIO.IN,  pull_up_down=GPIO.PUD_DOWN)  #Linea (INPUT) Status Modem

#Start modem HE910
while(GPIO.input(12)==0):
  GPIO.output(15, True)  #Sequenza di START
  time.sleep(5.0)
  GPIO.output(15, False)
  time.sleep(10.0)
  if(GPIO.input(12)==1): print "Modem Acceso"

#Inizializzazione porta Seriale
ser = serial.Serial("/dev/ttyACM0")  #Seleziona la porta seriale
ser.baudrate = 11500 #Imposta il baudrate
ser.open()


SendCmd("AT#SELINT=2")
SendCmd("AT#GPIO=1,0,2")
SendCmd("AT#SLED=2,10,10")

while(1):
  SendCmd("AT+CGREG?")
  time.sleep(5.0)


ser.close()


GPIO.cleanup()
